package com.digitline.txtofpdf;

import java.io.IOException;

import com.example.exttxtofpdf.R;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.parser.PdfReaderContentParser;
import com.itextpdf.text.pdf.parser.SimpleTextExtractionStrategy;
import com.itextpdf.text.pdf.parser.TextExtractionStrategy;

import android.widget.EditText;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;

@ShortName("TXTofPDF")
@Version(1)
public class TXTofPDF {
	
	public static String readTextForPDF(String pdfFile, Integer page) throws IOException {	
		PdfReader reader = new PdfReader(pdfFile);
        PdfReaderContentParser parser = new PdfReaderContentParser(reader);        
        TextExtractionStrategy strategy;        
        strategy = parser.processContent(page, new SimpleTextExtractionStrategy());                
        reader.close();		
		return strategy.getResultantText();
	}
	
}
